Search found 36 matches

Search found 36 matches

Re: Opencart to take security seriously - total fail :(

I came across the same website myself after a security report at work as well. Another good site is https://observatory.mozilla.org I too have added the easy headers and a very poor CSP because of the inline javascript and styles. It would be nice to have a better security level in OpenCart and the ...

Jump to post
  • Fri Aug 31, 2018 5:47 am
  • Replies 7
  • Views 1129
Custom theme and CSS

Hello, This has probably been answered before, but I couldn't find it searching on the forum (or Google). I created my own custom theme (copied the default one) and started modifying it. I needed to make some CSS changes, but couldn't work out why they were not being applied. Then I looked in the he...

Jump to post
  • Wed May 24, 2017 12:55 am
  • Replies 2
  • Views 6425
Re: OpenCart v2.2.0.0 Testing - What you need to know

@Qphoria your modifications are great and have enabled me to upgrade my existing 1.5.5.1 store almost flawlessly. I performed the upgrade by creating a new OC folder with the new 2.2.0.0 files (cloned from github), then copied across my old config.php files so that the database connections were cor...

Jump to post
  • Mon Mar 21, 2016 3:21 pm
  • Replies 117
  • Views 27573
Re: OpenCart v2.2.0.0 Testing - What you need to know

I spoke too soon. I just grabbed a latest version of my live database and did a test upgrade on it. I am now getting the following error: Error Code(0): Error: Specified key was too long; max key length is 1000 bytes Error No: 1071 <<query removed because site is blocking it (it is changing the url_...

Jump to post
  • Sun Mar 20, 2016 9:17 pm
  • Replies 117
  • Views 27573
Re: OpenCart v2.2.0.0 Testing - What you need to know

@Qphoria your modifications are great and have enabled me to upgrade my existing 1.5.5.1 store almost flawlessly. I performed the upgrade by creating a new OC folder with the new 2.2.0.0 files (cloned from github), then copied across my old config.php files so that the database connections were corr...

Jump to post
  • Sun Mar 20, 2016 12:51 am
  • Replies 117
  • Views 27573
Re: Upgrading from 1.5.x to 2.1.x Issue

Thank you for creating this code. I can now migrate to 2.1.0.1 from 1.5.5.1, I just have to find upgrades to my existing mods, or write my own. The errors I was getting in line 254 were caused by non-PRIMARY composite keys being added to the database (by some other script). This situation would also...

Jump to post
  • Mon Jan 11, 2016 11:33 pm
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

You just listed 2 lines. The second line is wrong. The code in the first line is correctly replacing the "oc_" hardcoded table prefix with the DB_PREFIX, but the second line doesn't change anything. It should also be changing the hardcoded "oc_" prefix. So it would become: $line = str_replace("CREAT...

Jump to post
  • Mon Jan 11, 2016 5:44 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

Hi Randem, I'm not re-inventing the wheel. Your work is brilliant and has helped a lot. After I removed the extra keys that had been added in error by some other mod, your upgrade.php script ran fine (but please could you change this issue? I found a small bug in the upgrade.php file. Line 25 curren...

Jump to post
  • Sun Jan 10, 2016 5:56 pm
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I think I've found the issue (or at least a major one). I must have run some 'optimization' script on my database and it has created additional indexes. For example there is another index on `category_path` that is the same as the correct PRIMARY index, but called something else. The upgrade script ...

Jump to post
  • Sun Jan 10, 2016 12:50 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I found a small bug in the upgrade.php file. Line 25 currently reads: $line = str_replace("CREATE TABLE `" . DB_PREFIX . "", "CREATE TABLE `" . DB_PREFIX, $line); It should be: $line = str_replace("CREATE TABLE `oc_", "CREATE TABLE `" . DB_PREFIX, $line); I have never used a prefix on my tables, so ...

Jump to post
  • Sat Jan 09, 2016 9:55 pm
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

Following the procedures would create the new tables. I have repeated the steps from scratch over a dozen time to verify this. Make sure that you are using the correct upgrade.php file and have removed the other one. If you like send me your SQL dump file that you created of your original database ...

Jump to post
  • Fri Jan 08, 2016 3:07 pm
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

A quick update. Looking in the root index.php I noticed lines 11-14: if (!defined('DIR_APPLICATION')) { header('Location: install/index.php'); exit; } So, I commented out the DIR_APPLICATION definition in my config.php. That made accessing the site go straight to the install/index.php, avoiding the ...

Jump to post
  • Fri Jan 08, 2016 9:23 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I have debugged through again. This time step 10. I have created the new database, exported the specified tables, recreated an empty database, imported my backed up database, uploaded your upgrade.php file and run the installation again. Before it gets to the upgrade.php file, it must go through the...

Jump to post
  • Fri Jan 08, 2016 8:44 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

Ok. I now have my open cart project setup in NetBeans and can debug the code. When I step through the first installation the line: define('DIR_APPLICATION', str_replace('\\', '/', realpath(dirname(__FILE__))) . '/'); in the /install/index.php resolves to "/Users/allenconquest/Developer/opencart2/ins...

Jump to post
  • Thu Jan 07, 2016 3:46 pm
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I have just downloaded 2.1.0.1 again from the open cart download page and unzipped it. There is definitely no upgrade.php file in the install folder to replace (you can also see that on github at https://github.com/opencart/opencart/tree/master/upload/install). The upgrade.php file (and the install....

Jump to post
  • Thu Jan 07, 2016 3:03 pm
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

Sorry for posting so many questions. Would you prefer to take this conversation off-forum? The first error I get after trying step 10 is: 2016-01-06 23:11:44 - PHP Notice: Error: Table 'mavis-shop2.0.event' doesn't exist<br />Error No: 1146<br />SELECT * FROM event in /Users/allenconquest/Developer/...

Jump to post
  • Thu Jan 07, 2016 6:20 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I also noticed that the default installation does not have an upgrade.php file in the install folder, it is actually in install/model. Did you mean replace this file in step 10 ?

Jump to post
  • Thu Jan 07, 2016 6:03 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I noticed that these were new columns. However, following your guide, I created a new database in step 6, exported the specified tables in step 7, then deleted the database and recreated it (step 8). I then imported my old database in step 9. This database then has the old tables without these colum...

Jump to post
  • Thu Jan 07, 2016 6:00 am
  • Replies 56
  • Views 6149
Re: Upgrading from 1.5.x to 2.1.x Issue

I have worked that issue out. I was because I used a different user to create the new and old databases. However, I'm now getting this error: Notice: Undefined index: custom_field in /Users/allenconquest/Developer/opencart2/install/model/upgrade.php on line 381 Probably another 'user error', but do ...

Jump to post
  • Thu Jan 07, 2016 4:59 am
  • Replies 56
  • Views 6149

Search found 36 matches